LibreOffice: XConfirmDeleteBroadcaster Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XConfirmDeleteBroadcaster Interface Referencepublished

provides the possibility of receiving an event for confirming deletions of rows in a com::sun::star::form::component::DataForm. More...

`import "XConfirmDeleteBroadcaster.idl";`

Inheritance diagram for XConfirmDeleteBroadcaster:

## Public Member Functions
void | addConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| remembers the specified listener to receive an event for confirming deletions
void | removeConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides the possibility of receiving an event for confirming deletions of rows in a com::sun::star::form::component::DataForm.

See also
  XConfirmDeleteListener

## Member Function Documentation

## ◆ addConfirmDeleteListener()

void addConfirmDeleteListener | ( | [in] com::sun::star::form::XConfirmDeleteListener | aListener | ) |

remembers the specified listener to receive an event for confirming deletions

XConfirmDeleteListener::confirmDelete() is called before a deletion is performed. You may use the event to write your own confirmation messages.

Parameters

  aListener | the listener to add.

See also
  com::sun::star::form::XConfirmDeleteListener

## ◆ removeConfirmDeleteListener()

void removeConfirmDeleteListener | ( | [in] com::sun::star::form::XConfirmDeleteListener | aListener | ) |

removes the specified listener.

Parameters

  aListener | the listener to remove.

See also
  com::sun::star::form::XConfirmDeleteListener

The documentation for this interface was generated from the following file:

- com/sun/star/form/XConfirmDeleteBroadcaster.idl